Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.annotations
Enum Border.StyleEnum

    java.lang.Object
      java.lang.Enum<Border.StyleEnum>
          org.pdfclown.documents.interaction.annotations.Border.StyleEnum

All Implemented Interfaces:
  Serializable, Comparable<Border.StyleEnum>

Enclosing class:
  Border

    public static enum Border.StyleEnum

extends Enum<Border.StyleEnum>

Border style [PDF:1.6:8.4.3].

Enum Constant Summary
`Beveled` Beveled.
`Dashed` Dashed.
`Inset` Inset.
`Solid` Solid.
`Underline` Underline.

Method Summary
`static Border.StyleEnum` | `get(PdfName value)` Gets the style corresponding to the given value.
`PdfName` | `getCode()`
`static Border.StyleEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Border.StyleEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Solid

    public static final Border.StyleEnum Solid

  Solid.

### Dashed

    public static final Border.StyleEnum Dashed

  Dashed.

  See Also:
    `Border.getPattern()`

### Beveled

    public static final Border.StyleEnum Beveled

  Beveled.

### Inset

    public static final Border.StyleEnum Inset

  Inset.

### Underline

    public static final Border.StyleEnum Underline

  Underline.

Method Detail

### values

    public static Border.StyleEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Border.StyleEnum c : Border.StyleEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Border.StyleEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static Border.StyleEnum get(PdfName value)

  Gets the style corresponding to the given value.

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.